{
  "name": "@huntsman-cancer-institute/help",
  "version": "11.5.0",
  "description": "The dynamic help module is expected to provide a component and services to provide help text for all HCI ng apps.",
  "contributors": ["Brandon Youkstetter", "Michael Byrne", "Abhishek Mukherjee"],
  "publishConfig": {
    "registry": "https://registry.npmjs.org",
    "access": "public"
  },
  "repository": "https://gitlab.com/huntsman-cancer-institute/risr/ng/hci-ng/hci-ng.git",
  "scripts": {
    "build": "npm run clean && npm run ngc && npm run copyfiles package.json dist/",
    "clean": "npm run rimraf dist/ index.js index.d.ts index.ngsummary.json index.metadata.json index.js.map src/**/*.js src/**/*.ngfactory.ts src/**/*.d.ts src/**/*.js.map src/**/*.ngsummary.json src/**/*.metadata.json code-coverage",
    "copyfiles": "copyfiles",
    "copyToDist": "npm run copyfiles -- package.json README.md dist/",
    "doc": "npm run compodoc -- src -p ./tsconfig.json -d docs -n '@huntsman-cancer-institute/help'",
    "karma": "karma",
    "ngc": "ngc",
    "npmPack": "npm run build && npm run copyToDist && cd dist && npm pack",
    "npmPublish": "npm run build && npm run copyToDist && cd dist && npm publish",
    "rimraf": "rimraf",
    "postinstall": ""
  },
  "main": "index.js",
  "module": "index.js",
  "typings": "index.d.ts",
  "files": ["index.+(js|d.ts|js.map|metadata.json)", "src/**/!(*spec).+(js|d.ts|js.map|metadata.json)"],
  "optionalDependencies": {
    "@huntsman-cancer-institute/authentication": "^11.x",
    "@huntsman-cancer-institute/user": "^11.x"
  },
  "peerDependencies": {
    "@angular/common": "^11.0.0",
    "@angular/core": "^11.0.0",
    "@huntsman-cancer-institute/authentication": "^11.x",
    "@huntsman-cancer-institute/user": "^11.x",
    "@ng-bootstrap/ng-bootstrap": "9.1.x"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^0.1102.10",
    "@angular/animations": "^11.0.0",
    "@angular/cli": "^11.0.0",
    "@angular/common": "^11.0.0",
    "@angular/compiler": "^11.0.0",
    "@angular/compiler-cli": "^11.0.0",
    "@angular/core": "^11.0.0",
    "@angular/forms": "^11.0.0",
    "@angular/platform-browser": "^11.0.0",
    "@angular/platform-browser-dynamic": "^11.0.0",
    "@angular/router": "^11.0.0",
    "@ng-bootstrap/ng-bootstrap": "9.1.x",
    "@types/jasmine": "^2.5.53",
    "@types/node": "^6.0.48",
    "@types/webpack": "4.1.2",
    "@angular-cool/storage": "12.0.0",
    "awesome-typescript-loader": "^5.0.0",
    "angular2-template-loader": "^0.6.2",
    "copyfiles": "^2.4.1",
    "core-js": "^2.4.1",
    "del": "^2.2.1",
    "fs": "^0.0.2",
    "immutable": "^3.8.1",
    "inline-source-map": "^0.6.2",
    "istanbul-instrumenter-loader": "2.0.0",
    "jasmine": "^3.2.0",
    "karma": "^6.3.2",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "~2.0.3",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "^1.5.0",
    "karma-mocha-reporter": "^2.2.5",
    "karma-remap-coverage": "^0.1.5",
    "karma-sourcemap-loader": "^0.3.7",
    "karma-webpack": "^3.0.4",
    "minimist": "^1.2.0",
    "reflect-metadata": "^0.1.3",
    "rimraf": "^2.6.1",
    "rxjs": "6.4.x",
    "rxjs-compat": "6.4.x",
    "source-map-loader": "^0.2.4",
    "tslib": "2.2.0",
    "tslint": "^6.1.1",
    "typescript": "4.0.x",
    "webpack": "^4.32.0",
    "webpack-cli": "^3.3.12",
    "webpack-dev-server": "^3.8.0",
    "webpack-merge": "^4.2.0",
    "webpack-stream": "^5.2.0",
    "zone.js": "^0.11.4"
  }
}